Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.net
Class HttpHeader

    java.lang.Object
      com.mindbright.net.HttpHeader

public class HttpHeader
extends java.lang.Object

Constructor Summary
`HttpHeader()`
`HttpHeader(java.io.InputStream input)`
`HttpHeader(java.lang.String fullHeader)`

Method Summary
`RFC822Head` | `getHeader()`
`java.lang.String` | `getHeaderField(java.lang.String headerName)`
`java.lang.String` | `getProxyAuthMethod()`
`java.lang.String` | `getProxyAuthRealm()`
`java.lang.String` | `getStartLine()`
`int` | `getStatus()`
`void` | `setBasicProxyAuth(java.lang.String username, java.lang.String password)`
`void` | `setHeaderField(java.lang.String headerName, java.lang.String value)`
`void` | `setStartLine(java.lang.String startLine)`
`java.lang.String` | `toString()`
`void` | `writeTo(java.io.OutputStream output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpHeader

    public HttpHeader()

### HttpHeader

    public HttpHeader(java.lang.String fullHeader)
               throws java.io.IOException

### HttpHeader

    public HttpHeader(java.io.InputStream input)
               throws java.io.IOException

Method Detail

### getStartLine

    public java.lang.String getStartLine()

### setStartLine

    public void setStartLine(java.lang.String startLine)

### getHeader

    public RFC822Head getHeader()

### getHeaderField

    public java.lang.String getHeaderField(java.lang.String headerName)

### setHeaderField

    public void setHeaderField(java.lang.String headerName,
                               java.lang.String value)

### writeTo

    public void writeTo(java.io.OutputStream output)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStatus

    public int getStatus()

### setBasicProxyAuth

    public void setBasicProxyAuth(java.lang.String username,
                                  java.lang.String password)

### getProxyAuthMethod

    public java.lang.String getProxyAuthMethod()

### getProxyAuthRealm

    public java.lang.String getProxyAuthRealm()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD